# Constant Field Values

## uk.ac.*

uk.ac.starlink.datanode.nodes.IconFactory
Modifier and Type
Constant Field
Value
`public static final short`
`ARY0`
`91`
`public static final short`
`ARY1`
`92`
`public static final short`
`ARY2`
`93`
`public static final short`
`ARY3`
`94`
`public static final short`
`CASCADE`
`21`
`public static final short`
`CLOSE`
`24`
`public static final short`
`COMPRESSED`
`134`
`public static final short`
`DATA`
`135`
`public static final short`
`DELETE`
`31`
`public static final short`
`DEMO`
`4`
`public static final short`
`DIRECTORY`
`106`
`public static final short`
`DOWN`
`33`
`public static final short`
`ERROR`
`119`
`public static final short`
`EXCISE`
`22`
`public static final short`
`EXIT`
`2`
`public static final short`
`FILE`
`105`
`public static final short`
`FITS`
`111`
`public static final short`
`FRAME`
`113`
`public static final short`
`HANDLE_COLLAPSE`
`302`
`public static final short`
`HANDLE_EXPAND`
`301`
`public static final short`
`HANDLE1`
`403`
`public static final short`
`HANDLE2`
`404`
`public static final short`
`HDU`
`112`
`public static final short`
`HDX_CONTAINER`
`131`
`public static final short`
`HELP`
`3`
`public static final short`
`HIERARCH`
`144`
`public static final short`
`HISTORY`
`115`
`public static final short`
`HISTORY_RECORD`
`116`
`public static final short`
`HOME`
`34`
`public static final String`
`IMAGE_PATH`
`"/uk/ac/starlink/datanode/images/"`
`public static final short`
`LEAF`
`101`
`public static final short`
`LOAD`
`5`
`public static final short`
`MYSPACE`
`143`
`public static final short`
`NDF`
`107`
`public static final short`
`NDX`
`130`
`public static final short`
`NO_ICON`
`-32767`
`public static final short`
`OPEN`
`23`
`public static final short`
`PARENT`
`102`
`public static final short`
`RELOAD`
`30`
`public static final short`
`SCALAR`
`103`
`public static final short`
`SKYFRAME`
`114`
`public static final short`
`SOG`
`201`
`public static final short`
`SPECFRAME`
`142`
`public static final short`
`SPLAT`
`200`
`public static final short`
`SPLIT_BELOW`
`12`
`public static final short`
`SPLIT_BESIDE`
`13`
`public static final short`
`SPLIT_NONE`
`11`
`public static final short`
`STAR_LOGO`
`405`
`public static final short`
`STARLINK_LOGO`
`402`
`public static final short`
`STOP`
`1`
`public static final short`
`STRUCTURE`
`104`
`public static final short`
`TABLE`
`117`
`public static final short`
`TARBRANCH`
`133`
`public static final short`
`TARFILE`
`132`
`public static final short`
`TOPCAT`
`202`
`public static final short`
`TREE`
`118`
`public static final short`
`TREE_LOGO`
`401`
`public static final short`
`UP`
`32`
`public static final short`
`VOCOMPONENT`
`141`
`public static final short`
`VOTABLE`
`140`
`public static final short`
`WCS`
`110`
`public static final short`
`WHAT`
`99`
`public static final short`
`XML_CDATA`
`124`
`public static final short`
`XML_COMMENT`
`122`
`public static final short`
`XML_DOCUMENT`
`120`
`public static final short`
`XML_DTD`
`127`
`public static final short`
`XML_ELEMENT`
`121`
`public static final short`
`XML_EREF`
`125`
`public static final short`
`XML_PI`
`123`
`public static final short`
`XML_STRING`
`126`
`public static final short`
`ZIPBRANCH`
`109`
`public static final short`
`ZIPFILE`
`108`
uk.ac.starlink.datanode.nodes.ValueInfoMetamapGroup
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_KEY`
`"Class"`
`public static final String`
`DESCRIPTION_KEY`
`"Description"`
`public static final String`
`INDEX_KEY`
`"Index"`
`public static final String`
`NAME_KEY`
`"Name"`
`public static final String`
`NULLABLE_KEY`
`"Nullable"`
`public static final String`
`SHAPE_KEY`
`"Shape"`
`public static final String`
`UCD_DESCRIPTION_KEY`
`"UCD description"`
`public static final String`
`UCD_KEY`
`"UCD"`
`public static final String`
`UNITS_KEY`
`"Units"`
`public static final String`
`VALUE_KEY`
`"Value"`
uk.ac.starlink.datanode.nodes.XMLDataNode
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_LINES`
`12`

uk.ac.starlink.datanode.tree.DataNodeTransferable
Modifier and Type
Constant Field
Value
`public static final String`
`VOTABLE_MIMETYPE`
`"application/xml"`

uk.ac.starlink.oldfits.FitsConstants
Modifier and Type
Constant Field
Value
`public static final int`
`FITS_BLOCK`
`2880`
`public static final int`
`MAX_NCOLSTD`
`999`
`public static final String`
`NDARRAY_ORIGIN`
`"NDA_O"`
`public static final String`
`NDARRAY_PREFIX`
`"NDA_"`
`public static final String`
`NDX_PREFIX`
`"NDX_"`
`public static final String`
`NDX_XML`
`"NDX_XML"`
`public static final String`
`WCS_ENCODING`
`"FITS-WCS"`